Bug 241894 - net-mgmt/driftnet: fix build on GCC architectures
Summary: net-mgmt/driftnet: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-11 20:28 UTC by Piotr Kubaj
Modified: 2019-11-14 20:11 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ehaupt)


Attachments
patch (999 bytes, patch)
2019-11-11 20:28 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (ehaupt)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-11-11 20:28:09 UTC
Created attachment 209071 [details]
patch

Needs C99:
media.c:46: error: 'for' loop initial declaration used outside C99 mode

Also make this port respect CFLAGS.

BTW, is the debug mode by default ok? I think ports should use release mode by default with debug available via option.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-11-12 01:14:24 UTC
Approved as mentor (builds on ppcports) pending maintainer review.
Comment 2 commit-hook freebsd_committer 2019-11-14 20:09:36 UTC
A commit references this bug:

Author: ehaupt
Date: Thu Nov 14 20:09:11 UTC 2019
New revision: 517610
URL: https://svnweb.freebsd.org/changeset/ports/517610

Log:
  Fix build on GCC architectures

  PR:		241894
  Submitted by:	pkubaj
  MFH:		2019Q4 (blanket)

Changes:
  head/net-mgmt/driftnet/Makefile
  head/net-mgmt/driftnet/files/patch-configure.ac
Comment 3 commit-hook freebsd_committer 2019-11-14 20:10:37 UTC
A commit references this bug:

Author: ehaupt
Date: Thu Nov 14 20:10:06 UTC 2019
New revision: 517611
URL: https://svnweb.freebsd.org/changeset/ports/517611

Log:
  MFH: r517610

  Fix build on GCC architectures

  PR:		241894
  Submitted by:	pkubaj
  Approved by:	portmgr blanket

Changes:
_U  branches/2019Q4/
  branches/2019Q4/net-mgmt/driftnet/Makefile
  branches/2019Q4/net-mgmt/driftnet/files/patch-configure.ac
Comment 4 Emanuel Haupt freebsd_committer 2019-11-14 20:11:09 UTC
Committed, thanks!